import { IUnitType, NewUnitType } from './unit-type.model';

export const sampleWithRequiredData: IUnitType = {
  id: 19315,
  name: 'except barring upset',
  description: 'hearty ew um',
  valueType: 'DECIMAL',
};

export const sampleWithPartialData: IUnitType = {
  id: 22736,
  name: 'except hm',
  description: 'upon push deserted',
  valueType: 'BOOLEAN',
};

export const sampleWithFullData: IUnitType = {
  id: 579,
  name: 'tatami',
  description: 'barring really',
  valueType: 'DECIMAL',
  version: 28677,
};

export const sampleWithNewData: NewUnitType = {
  name: 'reckless outgun',
  description: 'though',
  valueType: 'BOOLEAN',
  id: null,
};

Object.freeze(sampleWithNewData);
Object.freeze(sampleWithRequiredData);
Object.freeze(sampleWithPartialData);
Object.freeze(sampleWithFullData);
