package com.oguerreiro.resilient.service.mapper;

import org.mapstruct.Mapper;

import com.oguerreiro.resilient.domain.Document;
import com.oguerreiro.resilient.service.dto.DocumentDTO;

/**
 * Mapper for the entity {@link Document} and its DTO
 * {@link DocumentDTO}.
 */
@Mapper(componentModel = "spring")
public interface DocumentMapper extends ResilientEntityMapper<DocumentDTO, Document> {
}
