import { IResilientEntity } from 'app/resilient/resilient-base/resilient-base.model';

import { IDashboardComponent } from './dashboard-component.model';
import { IOrganization } from '../organization/organization.model';

export interface IDashboardComponentOrganization extends IResilientEntity {
  dashboardComponent?: Pick<IDashboardComponent, 'id' | 'name'> | null;
  organization?: Pick<IOrganization, 'id' | 'code'> | null;
}

export type NewDashboardComponentOrganization = Omit<IDashboardComponentOrganization, 'id'> & { id: null };
