import { IMetadataValue, NewMetadataValue } from './metadata-value.model';

export const sampleWithRequiredData: IMetadataValue = {
  id: 16623,
  metadataPropertyCode: 'rebut supposing joint',
  targetDomainKey: 'idealistic',
  targetDomainId: 11250,
};

export const sampleWithPartialData: IMetadataValue = {
  id: 32048,
  metadataPropertyCode: 'afore',
  targetDomainKey: 'ex-husband',
  targetDomainId: 3255,
};

export const sampleWithFullData: IMetadataValue = {
  id: 19144,
  metadataPropertyCode: 'backlight giant',
  targetDomainKey: 'flat inasmuch while',
  targetDomainId: 28828,
  value: 'between bath apropos',
  version: 28854,
};

export const sampleWithNewData: NewMetadataValue = {
  metadataPropertyCode: 'vacantly about',
  targetDomainKey: 'format afore wide',
  targetDomainId: 4274,
  id: null,
};

Object.freeze(sampleWithNewData);
Object.freeze(sampleWithRequiredData);
Object.freeze(sampleWithPartialData);
Object.freeze(sampleWithFullData);
