import { Component, input } from '@angular/core';
import { RouterModule } from '@angular/router';

import SharedModule from 'app/shared/shared.module';
import { DurationPipe, FormatMediumDatetimePipe, FormatMediumDatePipe } from 'app/shared/date';
import { IUnit } from '../unit.model';

@Component({
  standalone: true,
  selector: 'jhi-unit-detail',
  templateUrl: './unit-detail.component.html',
  imports: [SharedModule, RouterModule, DurationPipe, FormatMediumDatetimePipe, FormatMediumDatePipe],
})
export class UnitDetailComponent {
  unit = input<IUnit | null>(null);

  previousState(): void {
    window.history.back();
  }
}
